PTHREAD_SELF(3) | Library Functions Manual | PTHREAD_SELF(3)

# NAME

`pthread_self` — get the calling thread's ID

# LIBRARY

POSIX Threads Library (libpthread, -lpthread)

# SYNOPSIS

`#include <pthread.h>`

pthread_t
`pthread_self`(void);

# DESCRIPTION

The `pthread_self`() function returns the thread ID of the calling thread.

# RETURN VALUES

The return value is the thread ID.

# ERRORS

None.

# SEE ALSO

pthread_create(3), pthread_equal(3)

# STANDARDS

The function conforms to IEEE Std 1003.1-2001 (“POSIX.1”).

July 9, 2010 | NetBSD 11.0